-- Init file of "Heroes" mod, version 0.
-- Feel free to study and use any part of the source code.
--
-- Made by ImpassIve_rus

module(...)

local T = require("toolbox")
T.RegisterMod("heroes", 0, ...)

local mod_enabled = false
local heroes = {} --List of all knights with parameters
local deaths = false --Did the game already started?
local barb_gems = {}

dofile("config.lua") --constants and other
dofile("funcs.lua")  --basic functions
dofile("sprites.lua")  --gfx & sounds
dofile("itemsmobs.lua") --new items (such as reviving gems) and mobs
dofile("main.lua") --functions to be called during game
dofile("menu.lua") --menu configuration