local C = require("classic")
local M = require("menu")
local T = require("toolbox")




--MAIN FUNCTION

T.AL_AddListener("GAME_START", "Heroes_FGS", game_fakestart)

function start_heroes()	
	kts.AddHint("Pick up "..BARB_GEMS.." barbaric gems to win", 1, 1)
	
	kts.SetRespawnFunction(respawn_func) --my respawn function
	
	C.i_gem = i_revive_gem --replace old gems with reviving ones
	
	
	heroes = {} --restart settings
	barb_gems = {}
	deaths = false
	local p_list = kts.GetAllPlayers()
	C.add_initial_monsters(m_barbarian, BARBS_PER_PLAYER * #p_list)
	for i=1,#p_list do
		table.insert(heroes, {p_list[i], 0, false, -1})-- 1:player link; 2:barbaric gems; 3:have a reviving gem?; 4:Respawns
	end
end

function f_barb_gem()
	local i = get_hero(cxt.originator)
	local count = get_barb_gem_at(cxt.pos)
	heroes[i][2] = heroes[i][2]+count
	if (count > 1) then
		kts.FlashMessage("Picked up "..count.." barbaric gem! Total: "..heroes[i][2])	
	else 
		kts.FlashMessage("Picked up a barbaric gem! Total: "..heroes[i][2])		
	end
	
	if (heroes[i][2]>=BARB_GEMS) then
		mod_enabled = false
		kts.WinGame(heroes[i][1])
	end	
end	

function creature_damage_f()
	if not kts.IsKnight(cxt.actor) then
		local c = kts.GetMonsterCount(m_barbarian)
		local pos = {x=cxt.pos.x, y=cxt.pos.y}
		local actor = cxt.actor;
		kts.Delay(10)
		if (not kts.IsAlive(actor)) and (c-kts.GetMonsterCount(m_barbarian)>=1) then
			set_barb_gem_at(pos)
		end
	end
end

function respawn_func(player)
	if mod_enabled then
	  local i = get_hero(player)
	    if (heroes[i][4]==-1) then
			--print("- Player "..get_hero(player).." appeared in the dungeon!")
		elseif (heroes[i][3]) then
			heroes[i][3] = false
			print("- Player "..get_hero(player).." revived!")
		else
			kts.EliminatePlayer(player)
		end
		heroes[i][4] = heroes[i][4]+1
	end	
	return nil
end